library(qmethod)
library(reshape2)
# import concourse
q.concourse <- import.q.concourse(q.concourse.dir = "sample/concourse/", languages = c("english","german"))
concourse.remove <- c("external-tools", "programming-assignment", "stats", "scorm-package", "ims-content-package")
q.concourse <- q.concourse[!rownames(q.concourse) %in% concourse.remove, ]
# create the distribution
q.distribution <- make.distribution(nrow(q.concourse))
# define the sample
q.sample <- row.names(q.concourse)
# build the q-set
q.set <- build.q.set(q.concourse, q.sample, q.distribution)
# add distro cards
distro1 <- c("-5", "-4", "-3", "-2", "-1", "0", "+1", "+2", "+3", "+4", "+5")
distro2 <- c("1 Karte", "2 Karten", "3 Karten", "5 Karten", "6 Karten", "7 Karten", "6 Karten", "5 Karten", "3 Karten", "2 Karten", "1 Karte")
distrocards <- paste("\\pbox{ \\begin{center} \\begin{huge} \\textbf{", distro1, "} \\end{huge} \\\\", distro2, "\\end{center}}")
distrocards1 <- melt(distrocards)
distrocards2 <- melt(distrocards)
distrocards <- cbind(distrocards1, distrocards2)
colnames(distrocards) <- c(colnames(q.set)[1], colnames(q.set)[2])
q.set <- as.matrix(rbind(q.set, distrocards))
# make the cards to be sorted
make.cards(q.set, study.language = "german", paper.format = "DoubleSideCut.Rnw", babel.language = "german")
